Package com.sas.lsaf.clinical.common

## Class AttributeValue

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.clinical.common.AttributeValue

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class AttributeValue
      extends AbstractIdentifiable

  The class to represent the different types of clinical attribute values.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AttributeValue​(java.lang.String name, java.io.Serializable value)` | Constructor.
    `AttributeValue​(java.lang.String id, java.lang.String name, java.io.Serializable value)` | It is not intended or recommended that the consumer of this API to use this constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getName()` | Gets the name of the attribute.
    `java.io.Serializable` | `getValue()` | Gets the value of the attribute.
    `int` | `hashCode()` |
    `void` | `setValue​(java.io.Serializable value)` | Sets the value of the attribute.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeValue

          public AttributeValue​(java.lang.String id,
                                java.lang.String name,
                                java.io.Serializable value)

      It is not intended or recommended that the consumer of this API to use this constructor.
      Parameters:
        `id` - The unique identifier of the attribute.
        `name` - The name of the attribute.
        `value` - The value of the attribute.

    - #### AttributeValue

          public AttributeValue​(java.lang.String name,
                                java.io.Serializable value)

      Constructor.
      Parameters:
        `name` - The name of the attribute.
        `value` - The value of the attribute.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name of the attribute.
      Returns:
        The name of the attribute.

    - #### getValue

          public java.io.Serializable getValue()

      Gets the value of the attribute.
      Returns:
        The value of the attribute.

    - #### setValue

          public void setValue​(java.io.Serializable value)

      Sets the value of the attribute.
      Parameters:
        `value` - The value of the attribute.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`